umbrello: RubyCodeDocumentation Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | List of all members
RubyCodeDocumentation Class Reference

`#include <rubycodedocumentation.h>`

Inheritance diagram for RubyCodeDocumentation:

## Public Member Functions
| RubyCodeDocumentation (RubyClassifierCodeDocument *doc, const QString &text=QString())
virtual | ~RubyCodeDocumentation ()
virtual void | saveToXMI1 (QXmlStreamWriter &writer)
QString | toString () const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | getNewEditorLine (int amount)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()
Public Member Functions inherited from CodeComment
| CodeComment (CodeDocument *doc, const QString &comment=QString())
virtual | ~CodeComment ()
virtual void | saveToXMI1 (QXmlStreamWriter &writer)
virtual void | loadFromXMI1 (QDomElement &root)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | toString () const
virtual void | saveToXMI1 (QXmlStreamWriter &writer)=0
virtual void | loadFromXMI1 (QDomElement &root)=0
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Additional Inherited Members
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)

## Detailed Description

class RubyCodeDocumentation A Ruby code comment. There is only a single styles of comments: these are simply started with a hash and no terminating characters

## Constructor & Destructor Documentation

## ◆ RubyCodeDocumentation()

RubyCodeDocumentation::RubyCodeDocumentation | ( | RubyClassifierCodeDocument * | doc,
|  | const QString & | text = `QString()`
| ) |  |
| explicit

Constructors

## ◆ ~RubyCodeDocumentation()

RubyCodeDocumentation::~RubyCodeDocumentation | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ firstEditableLine()

int RubyCodeDocumentation::firstEditableLine | ( |  | ) |
| virtual

Ush. These are terrifically bad and must one day go away. Both methods indicate the range of lines in this textblock which may be edited by the codeeditor (assuming that any are actually editable). The default case is no lines are editable. The line numbering starts with '0' and a '-1' means no line qualifies.

Reimplemented from TextBlock.

## ◆ getNewEditorLine()

QString RubyCodeDocumentation::getNewEditorLine | ( | int | amount | ) |
| virtual

A special version here because we want to not only indent the new line, but to add the "# " sequence as well.

Reimplemented from TextBlock.

## ◆ lastEditableLine()

int RubyCodeDocumentation::lastEditableLine | ( |  | ) |
| virtual

See also
  firstEditableLine

Reimplemented from TextBlock.

## ◆ saveToXMI1()

void RubyCodeDocumentation::saveToXMI1 | ( | QXmlStreamWriter & | writer | ) |
| virtual

Save the XMI representation of this object

Reimplemented from CodeComment.

## ◆ toString()

QString RubyCodeDocumentation::toString | ( |  | ) | const
| virtual

Returns
  QString

Reimplemented from TextBlock.

## ◆ unformatText()

QString RubyCodeDocumentation::unformatText | ( | const QString & | text,
|  | const QString & | indent = `QString()`
| ) |  |
| virtual

UnFormat a long text string. Typically, this means removing the indentation (linePrefix) and/or newline chars from each line.

Reimplemented from TextBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/ruby/rubycodedocumentation.h
- umbrello/codegenerators/ruby/rubycodedocumentation.cpp